WPSTabStop Struct Reference

`#include <WPSParagraph.h>`

## Public Types

enum | Alignment { LEFT, RIGHT, CENTER, DECIMAL, BAR }

## Public Member Functions

| WPSTabStop (double position=0.0, Alignment alignment=LEFT, uint16_t leaderCharacter='\0', uint8_t leaderNumSpaces=0)
void | addTo (WPXPropertyListVector &propList, double decalX=0.0)

## Public Attributes

double | m_position
Alignment | m_alignment
uint16_t | m_leaderCharacter
uint8_t | m_leaderNumSpaces

## Friends

std::ostream & | operator<< (std::ostream &o, WPSTabStop const &ft)
| operator << More...

## Member Enumeration Documentation

enum WPSTabStop::Alignment

Enumerator
LEFT |
RIGHT |
CENTER |
DECIMAL |
BAR |

## Constructor & Destructor Documentation

WPSTabStop::WPSTabStop | ( | double | position = `0.0`,
|  | Alignment | alignment = `LEFT`,
|  | uint16_t | leaderCharacter = `'\0'`,
|  | uint8_t | leaderNumSpaces = `0`
| ) |  |

inline

## Member Function Documentation

void WPSTabStop::addTo | ( | WPXPropertyListVector & | propList,
|  | double | decalX = `0.0`
| ) |  |

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | WPSTabStop const & | ft
| ) |  |

friend

operator <<

## Member Data Documentation

Alignment WPSTabStop::m_alignment

Referenced by addTo(), and operator<<().

uint16_t WPSTabStop::m_leaderCharacter

Referenced by addTo(), and operator<<().

uint8_t WPSTabStop::m_leaderNumSpaces

double WPSTabStop::m_position

Referenced by addTo(), and operator<<().

The documentation for this struct was generated from the following files:

- WPSParagraph.h
- WPSParagraph.cpp